#ifndef PROCESS_H
#define PROCESS_H

#include <kprocess.h>
#include <iostream>
#include <fstream>



class Process;



class Process : public TQObject {
	TQ_OBJECT
  

public:
	Process();
	~Process();

	TQString getBuffer();
	int exitStatus();
	bool normalExit();
	void setCommand(TQString command);
	void start(bool block=true);

protected:
	TDEProcess* _process;
	TQString _buffer;

protected slots:
	void slotProcessOutput(TDEProcess* process, char* buffer, int buflen);
};



#endif
